> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embeddables.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Embeddables

> Retrieve all embeddables in this project



## OpenAPI

````yaml GET /projects/{projectId}/embeddables
openapi: 3.0.1
info:
  title: api
  version: 0.0.1
servers:
  - url: https://api.embeddables.com
    description: Production
security: []
paths:
  /projects/{projectId}/embeddables:
    get:
      tags:
        - Embeddables
      description: Retrieve all embeddables in this project
      operationId: embeddables_getEmbeddables
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ProjectId'
          examples:
            Example1:
              value: pr_myexampleproject
            Example2:
              value: pr_doesnotexist
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: rk_myexampleapikey
            Example2:
              value: rk_myexampleapikey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Embeddable'
              examples:
                Example1:
                  value:
                    - embeddable_id: flow_myexampleembeddable_1
                      title: My Example Embeddable 1
                      group_id: flow_myexamplegroup
                      project_id: pr_myexampleproject
                    - embeddable_id: flow_myexampleembeddable_2
                      title: My Example Embeddable 2
                      group_id: flow_myexamplegroup
                      project_id: pr_myexampleproject
                    - embeddable_id: flow_myexampleembeddable_3
                      title: My Example Embeddable 3
                      group_id: flow_myexamplegroup
                      project_id: pr_myexampleproject
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorBody'
        '404':
          description: ''
components:
  schemas:
    ProjectId:
      title: ProjectId
      type: string
      description: The unique identifier for a Project in the database
    Embeddable:
      title: Embeddable
      type: object
      properties:
        embeddable_id:
          $ref: '#/components/schemas/EmbeddableId'
        title:
          type: string
        group_id:
          type: string
        project_id:
          type: string
      required:
        - embeddable_id
        - title
        - group_id
        - project_id
    UnauthorizedErrorBody:
      title: UnauthorizedErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
      required:
        - error
        - projectId
    EmbeddableId:
      title: EmbeddableId
      type: string
      description: The unique identifier for a Embeddable in the database
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message

````